Download it now!
Bug 132138 - Styles for Accent, Status like in calc
Summary: Styles for Accent, Status like in calc
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0
Keywords: needsUXEval
Depends on:
Blocks: ImpressDraw-Styles Gallery_7.0
  Show dependency treegraph
 
Reported: 2020-04-15 21:46 UTC by andreas_k
Modified: 2020-08-06 08:51 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Drawing with blue Default style and dark blue accent style. (112.29 KB, image/png)
2020-04-15 22:20 UTC, andreas_k
Details
Bee template with Drawing from gallery (68.88 KB, image/png)
2020-04-15 22:33 UTC, andreas_k
Details
Bee template with Drawing from gallery with different Styles (64.57 KB, image/png)
2020-04-15 22:37 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2020-04-15 21:46:10 UTC
can we have the Accent and Status Style labels in draw/impress like we have in Calc.

If there will be the following styles:

- Default (Drawing Style)
- Accent
  - Accent 1
  - Accent 2
  - Accent 3
- Status
  - Bad
  - Error
  - Good
  - Neutral
  - Warning

Draw/Impress has the same predefined styles like calc for Cell Style. And you can make shapes with Default and Accent 1, ... Bad , ... copy the drawing into a new template file will change the drawing according to the Accent, ... style colors.

I'm thinking on gallery elements like Network shapes you know from MS Visio [1] where the shapes use the predefined styles Default for the generic shape and Accent 1 for the Accent stuff. Change the Styles or use another template will change all gallery elements from Default (tango blue) and Accent 1 (eg. gold) to Default (black/white) and Accent 1 (purple). 

But not only gallery elements can change the design easy, also drawings done by styles support will change there color.

[1] https://banner2.cleanpng.com/20180315/ulq/kisspng-microsoft-visio-computer-network-diagram-template-visio-cliparts-5aab1b114e8836.5051684115211630253217.jpg
Comment 1 andreas_k 2020-04-15 22:20:16 UTC
Created attachment 159601 [details]
Drawing with blue Default style and dark blue accent style.
Comment 2 andreas_k 2020-04-15 22:33:55 UTC
Created attachment 159602 [details]
Bee template with Drawing from gallery

as the gallery stuff will support styles (after the labels are defined) all gallery items will fit into different themes.

And as Shapes by default use styles, also copy shapes from one file to another will fit always into the template.
Comment 3 andreas_k 2020-04-15 22:37:40 UTC
Created attachment 159603 [details]
Bee template with Drawing from gallery with different Styles

As also the background of the impress presentation was drawn with LibreOffice shapes, the shapes follow the defined styles.

for example Powerpoint didn't support styles (Or I don't know how). Would be a big advantage for Impress cause you can copy stuff/shapes from one file to anouther and the shape will fit always into the new template.

For sure we (I) have to update the LibreOffice Impress (Draw) templates.
Comment 4 andreas_k 2020-04-15 22:40:46 UTC
Ok in Powerpoint you would call them instead of styles, themes. From my point of view an style change will be way easier as change the full theme. So styles is from that point more intuitive and easier to edit.
Comment 5 Commit Notification 2020-04-19 13:39:58 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ca343fca0793361f94660750d14957b725699bfc

tdf#132138 add Draw Styles support to Beehive Impress template

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Heiko Tietze 2020-04-20 10:13:01 UTC
AFAICS, Calc has no Drawing Style at all. And Draw no Cell and Page style.

Cell styles are meant to format numbers depending on value, see Format > Conditional Formatting.
Draw's new styles have been introduced with bug 117455. I don't see need for more styles as drawings have way too many individual properties. Take the beehive example (taken from an Impress template): it won't apply to different drawings. It's up to the user to create own styles and apply this to the current objects.

So my take => WF. But feel free to disagree and to add more styles.
Comment 7 andreas_k 2020-04-20 10:17:57 UTC
As gallery items will use the Default drawing style and an accent drawing style. I will add them to the templates.

In addition styles are in general a bit complicated, I will make them as much consistent as possible between the different LibreOffice apps. So Accent will be there with Accent 1, Accent 2 and Accent 3 (I don't know what will Accent 3 be for the moment).
Comment 8 Commit Notification 2020-04-24 22:08:30 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/fe1cf8656d6963844553993a77ef565fb2fbeda7

tdf#132138 update Alizarin impress template with styles and 16:9

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2020-04-25 08:54:26 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/af9642350db024e9a9ff73f46693ff5d0a4ce66b

tdf#132138 Update Blue Curve impress template

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2020-04-25 14:16:20 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9e5a7189fd759a5e16959e2f116465fccd41cefa

tdf#132138 Update Bright blue impress template

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2020-04-27 13:51:44 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/bbc2162fcd9337ca2a9bf89172bd4e78244b66e9

tdf#132138 Update DNA impress template

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2020-04-28 11:02:35 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/dfa8e18e8e6c7ad87e423393f8293a20188de1fd

tdf#132138 Update Blueprint plans impress template

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2020-04-28 13:23:44 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/dfd911348d26794e9c723c4c78b65dc1477a54fb

tdf#132138 Update Impress impress theme

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2020-04-28 13:25:12 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6b8ae0882bcac65f4307d6a6425f37eb0a010713

tdf#132138 Update Focus impress template

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2020-04-28 15:30:14 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a30d7e2d7f5464d352735ef538acb0f09a7a8196

tdf#132138 Update Inspiration impress template

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2020-04-28 15:31:40 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7f10ae03e161545d10cca50030461b1ae530302e

tdf#132138 Update Midnightblue impress template

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Heiko Tietze 2020-04-28 16:33:12 UTC
This ticket is about Draw but all patches for Impress.
Comment 18 Commit Notification 2020-04-30 11:49:21 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0d934971f920774c9783bd204fb4bc32d1adcb9a

tdf#132138 Update Forestbird impress template

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2020-04-30 11:51:41 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/777f53503121e21ea6a584d0578b3e3eee2ed3fa

tdf#132138 Update Vivid impress template

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 20 Commit Notification 2020-04-30 11:51:53 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/23d2f9c571baf4165c9aa3b81f32073f70045ead

tdf#132138 Update Lush Green impress template

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 21 Commit Notification 2020-04-30 11:52:03 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/dfaa749f048150945eb144694ef2b6de829f4423

tdf#132138 Lights impress template

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 22 Commit Notification 2020-04-30 11:53:30 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9c67355fe438c2c8ebc61b170e102dc9dbfd7448

tdf#132138 Update Progress impress template

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 23 Commit Notification 2020-04-30 16:06:52 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6151022e687b34fba538d35a84c06543d831ed33

tdf#132138 Update Pencil impress template

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 24 Commit Notification 2020-04-30 16:07:04 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/155648d602e84e7626b55c71e9b76140303e7432

tdf#132138 Update piano impress template

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 25 Commit Notification 2020-04-30 16:08:43 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1498fc92527785eb47eb1bb30d957150dc513dfb

tdf#132138 Update Portfolio impress template

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 26 Commit Notification 2020-04-30 21:32:11 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ed1c11e9213ad11cfe38440294b95a3cf08d0db0

tdf#132138 Update Sunset impress theme

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.